* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  text-decoration: none;
  scroll-behavior: smooth;
  font-family: var(--h1font);
}

:root {
  --background-color: #e0e4e6;
  --links-color: #ececec;
  --nav-color: #3281a5;
  --h1-color: #1c1c1c;
  --p-color: #000000;
  --h1font: "Fira Sans", sans-serif;
  --h1-weight: 400;
  --h1-style: italic;
  --p-font: "Fira Sans", sans-serif;
  --p-weight: 400;
  --p-style: normal;
  --mobileview: 0 20em;
}

body {
  background-color: var(--background-color);
}

/*navigation style*/
.navigation {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 2% 4%;
  background-color: var(--nav-color);

  .Tab {
    display: flex;
    align-items: center;
  }

  .Tab img {
    width: 30px;
  }
  .Logo img {
    width: 40px;
  }
}

.container {
    margin:var(--mobileview);

  H2,h3 {
    color: var(--nav-color);
  }

  P {
    color: #000000;
    font-size: 2em;
  }

  h2 {
    padding: 2%;
  }

  .search {
    display: flex;
    justify-content: center;
    gap: 1px;
    text-align: center;
    background-color: #ececec;
    border-radius: 16px;
    padding: 1% 1%;
    margin: 2% auto 0 auto;
    width: 100%;
  }

  .searchicon {
    padding: 2%;
    border: none;
    background-color: var(--link-color);
  }

  .toplink {
    display: flex;
    flex-direction: column;
    align-items: start;
    text-align: start;
    gap: 0.5em;
    padding: 1% 0;
  }

  .link {
    align-items: center;
    border: solid 1px #ccd3d5;
    box-shadow: 0px 1px 1px 0px #6c9599;
    border-radius: 6px;
    width: 100%;
    margin: 0 auto;
    padding: 1% 2%;
    background-color: var(--links-color);
    font-size: 0.6em;
  }

  .link p {
    font-weight: 200;
    padding: 2%;
  }

  .imglink {
    display: flex;
    justify-content: space-around;
    border: solid 1px #ccd3d5;
    box-shadow: 0px 1px 1px 0px #6c9599;
    border-radius: 6px;
    background-color: var(--links-color);
    padding: 2% 1%;
    margin: 0 auto;
  }

  .midlelink img {
    width: 30%;
    border-radius: 6px;
  }

  .videolink {
    flex-direction: row;
    flex-wrap: nowrap;
    border: solid 1px #ccd3d5;
    box-shadow: 0px 1px 1px 0px #6c9599;
    border-radius: 6px;
    background-color: var(--links-color);
    padding: 1% 1%;
    margin: 2% 0;
  }

  .bottomlinks {
    margin-top: 2em;
  }
  .bottomlinks img {
    width: 30%;
    margin: 1% 0;
  }

  .bottomlinks h3 {
    font-size: 100%;
    padding: 1%;
    p {
      font-size: 100%;
      padding: 3%;
    }
  }

  .videolink {
    display: flex;
  }

  .bottomlinks img {
    border-radius: 15px;
  }

  .cat {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-top: 2em;

    h2 {
      width: 100%;
    }
  }

  .categorias {
    font-size: 80%;
    flex-direction: row;
    flex-wrap: wrap;
    border: solid 1px #ccd3d5;
    box-shadow: 0px 1px 1px 0px #6c9599;
    border-radius: 6px;
    background-color: var(--links-color);
    padding: 2%;
    margin: 1% 0;
  }

  .mais {
    flex-direction: row;
    flex-wrap: nowrap;
    text-align: center;
    box-shadow: 0px 1px 1px 0px #6c9599;
    border-radius: 6px;
    color: var(--background-color);
    background-color: var(--nav-color);
    padding: 1% 1%;
    margin: 6% 0 10% 0;
  }
}
.footer img {
  height: 100px;
  width: 200px;
  margin: 0 auto;
}
.footer {
  display: flex;
  justify-content: center;
  background-color: var(--nav-color);
}

/* versão mobile */

@media screen and (max-width:470px) {
    body{
        width: px;
    }
    .container {
        margin: 0 2%;

    .bottomlinks h3>p{
      font-size: 0.8em;
    }

    .bottomlinks img{
        object-fit: cover;
        aspect-ratio: 3/2;
        width: 120px;
        height: auto;
    }
     }
  }
